<?php
    include("function.php");

    //MAKE SURE THAT IT IS A POST REQUEST
    if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){
        throw new Exception('Request method must be POST!');
    }

    //MAKE SURE THAT THE CONTENT TYPE OF THE POST REQUEST HAS BEEN SET TO application/json
    $contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
    if(strcasecmp($contentType, 'application/json') != 0){
        throw new Exception('Content type must be: application/json');
    }

    //VALIDATE API TOKEN
    $requestHeaders = headers_list();
    if(isset($requestHeaders['TOKEN']) && $requestHeaders['TOKEN'] != 'nice'){
        throw new Exception('Token not accept');
    }

    //RECIVE THE RAW POST DATA
    $content = trim(file_get_contents("php://input"));

    //ATTEMP TO DECODE THE INCOMING RAW POST DATA FROM JSON
    $decoded = json_decode($content, true);

    //IF json_decode FAILED, THE JSON IS INVALID
    if(!is_array($decoded)){
        throw new Exception('Received content contained invalid JSON!');
    }

    //DB CONNECTION
    $mysqli = createDbConnection();

    //INSERT DATA TO DB
    $today = date("Y-m-d G:i:s");
    
    if ($stmt = $mysqli->prepare("INSERT INTO `passage` (`date`, `type`, `count`, `room`) VALUES (?, ?, ?, ?)")){
        $stmt->bind_param('ssis', $today, $decoded["type"], $decoded["count"], $decoded["room"]);
        if($stmt->execute()){
            echo "OK";
        }else{
            $err = "Error:" . mysqli_error($mysqli);
            echo $err;
        }
    }else{
        $err = "Error:" . mysqli_error($stmt);
        echo $err;
    }

    mysqli_close($mysqli);         
?>