<?php
	include("function.php");
	$date = isset($_GET['date']) ? $_GET['date'] : date("Y/m/d");

	$passageGraphData = getPassageGraphData($date);
	$passageTable = getPassageTable($date);
	$uniqMacGraphData = getUniqMacGraphData($date);
	$uniqMacTable = getUniqMacTable($date);
	
	if ($checkScriptPassage == "passage" AND $checkScriptMac == "mac"){
		$firstPassageValue = explode(",", preg_replace("/'/i","", $passageGraphData["graphLabels"]));
		$firstMacValue = explode(",", preg_replace("/'/i","", $uniqMacGraphData["graphLabels"]));
		$lastPassageValue = array_reverse($firstPassageValue);
		$lastMacValue = array_reverse($firstMacValue);

		if ($firstPassageValue['0'] > $firstMacValue['0']){
			$firstValue = $firstMacValue['0'];
		}else{
			$firstValue = $firstPassageValue['0'];
		}

		if ($lastPassageValue['1'] > $lastMacValue['1']){
			$lastValue = $lastPassageValue['1'];
		}else{
			$lastValue = $lastMacValue['1'];
		}

		for ($x = $firstValue; $x <= $lastValue; $x++){
		  $graphLabels = $graphLabels . "'".$x."',";
		}

	}else{
		if ($checkScriptPassage == "passage" AND $checkScriptMac == ""){	
			$graphLabels = $passageGraphData["graphLabels"];
		}elseif ($checkScriptPassage == "" AND $checkScriptMac == "mac"){		
			$graphLabels = $uniqMacGraphData["graphLabels"];
		}
	}
?>

<!doctype html>
<html lang="cz">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="description" content="">
		<link rel="shortcut icon" href="https://www.primat.cz/images/generated/autoX128/b/2/b/7/e/b2b7e852161538578174.jpeg" />
		<title>Mašata DP</title>

		<!-- BOOTSTRAP CSS -->
		<link rel="canonical" href="https://getbootstrap.com/docs/5.3/examples/dashboard/">
		<link href="assets/dist/css/bootstrap.min.css" rel="stylesheet">

		<!-- CUSTOM CSS -->
		<link href="style.css" rel="stylesheet">
		
	</head>
	<body> 

		<header class="navbar navbar-dark sticky-top bg-dark flex-md-nowrap p-0 shadow">
			<a class="navbar-brand col-md-3 col-lg-2 me-0 px-3 fs-6" href="#">Webová aplikace</a>
		</header>

		<main class="col-md-11col-lg-12 px-md-12 m-3">
			<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
				<h1 class="h2"><?php echo("Data z " . $date); ?></h1>
				<div class="btn-toolbar mb-2 mb-md-0">
					<div class="btn-group me-2">
						<a href="?date=<?php echo date("Y/m/d", strtotime($date. ' - 1 days'));?>" role="button" class="btn btn-sm btn-outline-secondary">Předchozí den</a>
						<a href="?date=<?php echo date("Y/m/d", strtotime($date. ' + 1 days'));?>" role="button" class="btn btn-sm btn-outline-secondary" <?php if ($date == date("Y/m/d")){echo "aria-disabled=\"true\"";}?> >Následující den</a>
					</div>
				</div>
			</div>

			<span class="badge text-bg-primary">Počet osob</span>
			<span class="badge text-bg-success">Počet WiFi zařízení</span>
			<canvas class="my-4 w-100" id="myChart" style="margin: 0 auto; width: 500px; height: 380px;"></canvas>

			<div class="row">
				<div class="table-responsive col-md-6">
					<h2>Příchody / odchody:</h2>
					<table class="table table-striped table-sm">
						<thead>
							<tr>
								<th scope="col">#</th>
								<th scope="col">Datum</th>
								<th scope="col">Stav</th>
								<th scope="col">Typ</th>
							</tr>
						</thead>
						<tbody>
							<?php
								echo $passageTable;								
							?>
						</tbody>
					</table>
				</div>
				<div class="table-responsive col-md-6">
					<h2>Zjištěná WiFi zařízení:</h2>
					<table class="table table-striped table-sm">
						<thead>
							<tr>
								<th scope="col">#</th>
								<th scope="col">Datum</th>
								<th scope="col">MAC adresa</th>
								<th scope="col">AP_SSID</th>
								<th scope="col">Počet výskytů</th>
							</tr>
						</thead>
						<tbody>
							<?php
								echo $uniqMacTable;								 
							?>
						</tbody>
					</table>
				</div>
			</div>
		</main>

		<?php include("scripts.php"); ?>
	</body>
</html>